OGRE: Ogre::DirectionRandomiserAffector Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::DirectionRandomiserAffector Class Reference
Plugins » ParticleFX

This affector applies randomness to the movement of the particles. More...

`#include <OgreDirectionRandomiserAffector.h>`

Inheritance diagram for Ogre::DirectionRandomiserAffector:
[legend]

## Classes
class | CmdKeepVelocity
| Command object for keep_velocity (see ParamCommand). More...
class | CmdRandomness
| Command object for randomness (see ParamCommand). More...
class | CmdScope
| Command object for scope (see ParamCommand). More...

## Public Member Functions
| DirectionRandomiserAffector (ParticleSystem *psys)
| Default constructor.
void | _affectParticles (ParticleSystem *pSystem, Real timeElapsed) override
| Method called to allow the affector to 'do it's stuff' on all active particles in the system.
bool | getKeepVelocity (void) const
| Gets flag which detemines whether particle speed is changed.
Real | getRandomness (void) const
| Gets the randomness to apply to the particles in a system.
Real | getScope (void) const
| Gets the scope (percentage of particles which are randomised).
void | setKeepVelocity (bool keepVelocity)
| Determines whether the velocity of particles is unchanged.
void | setRandomness (Real force)
| The amount of randomness to introduce in each axial direction.
void | setScope (Real force)
| The percentage of particles affected in each run of the affector.
Public Member Functions inherited from Ogre::ParticleAffector
| ParticleAffector (ParticleSystem *parent)
virtual | ~ParticleAffector ()
| Virtual destructor essential.
virtual void | _initParticle (Particle *pParticle)
| Method called to allow the affector to initialize all newly created particles in the system.
const String & | getType (void) const
| Returns the name of the type of affector.
Public Member Functions inherited from Ogre::StringInterface
| StringInterface ()
virtual | ~StringInterface ()
| Virtual destructor, see Effective C++.
void | copyParametersTo (StringInterface *dest) const
| Method for copying this object's parameters to another object.
ParamDictionary * | getParamDictionary (void)
| Retrieves the parameter dictionary for this class.
const ParamDictionary * | getParamDictionary (void) const
String | getParameter (const String &name) const
| Generic parameter retrieval method.
const ParameterList & | getParameters (void) const
| Retrieves a list of parameters valid for this object.
bool | setParameter (const String &name, const String &value)
| Generic parameter setting method.
void | setParameterList (const NameValuePairList &paramList)
| Generic multiple parameter setting method.

## Static Public Attributes
static CmdKeepVelocity | msKeepVelocityCmd
static CmdRandomness | msRandomnessCmd
| Command objects.
static CmdScope | msScopeCmd

## Additional Inherited Members
Static Public Member Functions inherited from Ogre::StringInterface
static void | cleanupDictionary ()
| Cleans up the static 'msDictionary' required to reset Ogre, otherwise the containers are left with invalid pointers, which will lead to a crash as soon as one of the ResourceManager implementers (e.g.

## Detailed Description

This affector applies randomness to the movement of the particles.

The documentation for this class was generated from the following file:

- OgreDirectionRandomiserAffector.h